Foreman - Refactor #36583

Drop power_manager models from autoload paths

07/12/2023 12:38 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Rails
Target version:
Difficulty: Fixed in Releases: 3.8.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9774
Description

In 3484613f7fb711c65724261720048218427fe670 the app/models/power_manager directory was dropped, but it's still in the

autoload paths.

Associated revisions

Revision ffeacdd4 - 07/12/2023 01:09 PM - Ewoud Kohl van Wijngaarden

Fixes #36583 - Remove power_manager from autoload_paths

This directory no longer exists.

Fixes: 3484613f7fb7 ("fixes #2411 - move files in /models to /concerns, /services, /mailers, /observers")

History

#1 - 07/12/2023 12:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9774 added

#2 - 07/12/2023 01:09 PM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#3 - 07/12/2023 02:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ffeacdd44e4647f0a27e870e8a18fa40c35e63f9.

#4 - 09/11/2023 10:34 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

05/19/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3484613f7fb711c65724261720048218427fe670
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ffeacdd44e4647f0a27e870e8a18fa40c35e63f9
http://www.tcpdf.org

